Public Member Functions

# SEPtrVector Class Reference

Vector is an array that is reference counted. More...

`#include <skype-ptr-vector.h>`

List of all members.

## Public Member Functions
| SEPtrVector ()
| SEPtrVector (size_t s)
| SEPtrVector (const SEPtrVector &pv)
| ~SEPtrVector ()
void | setnewsize (size_t s)
size_t | size () const
void *& | operator[] (size_t n) const
SEPtrVector & | operator= (const SEPtrVector &pv)

## Detailed Description

Vector is an array that is reference counted.

Its size is set at creation, it doesn't grow automatically.

SEPtrVector makes no use of the C++ templates, therefore you have to explicitly cast its elements to appropriate pointer type (SEPtrVector uses void*).

Definition at line 16 of file skype-ptr-vector.h.

## Constructor & Destructor Documentation

SEPtrVector::SEPtrVector | ( |  | ) |

Creates an empty vector object.

Definition at line 14 of file skype-ptr-vector.cpp.

SEPtrVector::SEPtrVector | ( | size_t | s | ) |

Creates a vector object of specified size.

Definition at line 20 of file skype-ptr-vector.cpp.

SEPtrVector::SEPtrVector | ( | const SEPtrVector & | pv | ) |

Definition at line 34 of file skype-ptr-vector.cpp.

SEPtrVector::~SEPtrVector | ( |  | ) |

Definition at line 40 of file skype-ptr-vector.cpp.

## Member Function Documentation

SEPtrVector & SEPtrVector::operator= | ( | const SEPtrVector & | pv | ) |

Assigns a shallow copy of pv to this vector and returns a reference to it. This is very fast because the vector isn't actually copied.

Definition at line 86 of file skype-ptr-vector.cpp.

void *& SEPtrVector::operator[] | ( | size_t | n | ) | const

Returns the item at position i, or NULL if there is no item at that position.

Definition at line 76 of file skype-ptr-vector.cpp.

References size().

void SEPtrVector::setnewsize | ( | size_t | s | ) |

Resizes and resets the vector

Definition at line 45 of file skype-ptr-vector.cpp.

References size().

size_t SEPtrVector::size | ( |  | ) | const

Returns how many elements are in the vector.

Definition at line 68 of file skype-ptr-vector.cpp.

The documentation for this class was generated from the following files:

- skype-ptr-vector.h
- skype-ptr-vector.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines

(c) Skype Technologies S.A. Confidential/Proprietary

Last updated: Fri Jan 27 2012